Description

Following from bugs 17403 and 17416, | discovered that large numerical values (ones that won't fit in a signed integer?) are actually
truncated on import to the DB. For example, when the FHiCL:

test1: 0xFO000000

test2: OxFFFFFFFF

test3: 4026531840

test4: 4294967295

is imported to the DB and then re-exported, the resulting snippet is changed to the following:
test1: -2147483648

test2: -2147483648

test3: -2147483648

test4: -2147483648

This was observed on the CERN test stand for protoDUNE.

Related issues:

Related to artdaq Utilities - Bug #17403: Undesirable conversion of +ve integ... Closed 08/08/2017
Related to artdaq Utilities - Bug #17416: Conversion of hex values to decimal... Closed 08/09/2017
Related to fhicl-cpp - Feature #17448: Add the raw_value member to fhicl::ext... Feedback 08/16/2017
History

#1 - 08/14/2017 02:05 PM - Gennadiy Lukhanin

Opened a new feature request (Feature #17448) with the fhicl-cpp library developers.

#2 - 08/14/2017 02:09 PM - Gennadiy Lukhanin

As as an interim solution, all hex numbers can be stored with the "hex" prefix, so they are interpreted as string values by the database library.

e.g. Oxffff becomes hexOxffff

#3 - 08/14/2017 02:10 PM - Gennadiy Lukhanin

- Related to Bug #17403: Undesirable conversion of +ve integer to -ve in FHICL array parameter added

#4 - 08/14/2017 02:10 PM - Gennadiy Lukhanin

- Related to Bug #17416: Conversion of hex values to decimal on database check-in added

#5 - 08/14/2017 02:10 PM - Gennadiy Lukhanin

- Related to Feature #17448: Add the raw_value member to fhicl:.extended value added

#6 - 08/14/2017 02:12 PM - Gennadiy Lukhanin

- Status changed from New to Work in progress
https://cdcvs.fnal.gov/redmine/issues/17448

#7 - 07/30/2018 12:56 PM - Gennadiy Lukhanin

- Status changed from Work in progress to Resolved

#8 - 10/31/2019 02:14 PM - Gennadiy Lukhanin

- Status changed from Resolved to Closed
